Method: projects.locations.collections.exportDataObjects

컬렉션에서 DataObject를 내보내는 장기 실행 작업을 시작합니다.

HTTP 요청

POST https://vectorsearch.googleapis.com/v1beta/{name}:exportDataObjects

경로 매개변수

매개변수
name

string

필수 항목입니다. 데이터 객체를 내보낼 컬렉션의 리소스 이름입니다. 형식은 projects/{project}/locations/{location}/collections/{collection}입니다.

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{

  // Union field destination can be only one of the following:
  "gcsDestination": {
    object (GcsExportDestination)
  }
  // End of list of possible types for union field destination.
}
필드
통합 필드 destination. 내보내기 데이터의 구성입니다. destination은 다음 중 하나여야 합니다.
gcsDestination

object (GcsExportDestination)

사용자가 데이터 객체를 내보낼 Cloud Storage 위치입니다.

응답 본문

성공한 경우 응답 본문에 Operation의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform

자세한 내용은 Authentication Overview를 참조하세요.

IAM 권한

name 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • vectorsearch.dataObjects.export

자세한 내용은 IAM 문서를 참조하세요.

GcsExportDestination

내보내기를 위한 Google Cloud Storage 구성입니다.

JSON 표현
{
  "exportUri": string,
  "format": enum (Format)
}
필드
exportUri

string

필수 항목입니다. 데이터 객체를 내보낼 Cloud Storage의 URI 접두사입니다. 버킷은 컬렉션과 동일한 리전에 있어야 합니다.

format

enum (Format)

필수 항목입니다. 내보낸 데이터 객체의 형식입니다.

형식

내보낸 데이터 객체의 형식 옵션입니다.

열거형
FORMAT_UNSPECIFIED 지정되지 않은 형식입니다.
JSON

지원 중단됨: 데이터 객체를 JSON 형식으로 내보냅니다. 대신 JSONL을 사용하세요.

JSONL 데이터 객체를 JSONL 형식으로 내보냅니다.